package com.siwei.rsmonitoring.service;

import java.util.List;

import com.siwei.rsmonitoring.domain.TDkAuditflowFj;

/**
 * 地块的审核附件Service接口
 *
 * @author siwei
 * @date 2025-02-11
 */
public interface ITDkAuditflowFjService {
    /**
     * 查询地块的审核附件
     *
     * @param id 地块的审核附件主键
     * @return 地块的审核附件
     */
    public TDkAuditflowFj selectTDkAuditflowFjById(String id);

    /**
     * 查询地块的审核附件列表
     *
     * @param tDkAuditflowFj 地块的审核附件
     * @return 地块的审核附件集合
     */
    public List<TDkAuditflowFj> selectTDkAuditflowFjList(TDkAuditflowFj tDkAuditflowFj);

    /**
     * 新增地块的审核附件
     *
     * @param tDkAuditflowFj 地块的审核附件
     * @return 结果
     */
    public int insertTDkAuditflowFj(TDkAuditflowFj tDkAuditflowFj);

    /**
     * 修改地块的审核附件
     *
     * @param tDkAuditflowFj 地块的审核附件
     * @return 结果
     */
    public int updateTDkAuditflowFj(TDkAuditflowFj tDkAuditflowFj);

    /**
     * 批量删除地块的审核附件
     *
     * @param ids 需要删除的地块的审核附件主键集合
     * @return 结果
     */
    public int deleteTDkAuditflowFjByIds(String[] ids);

    /**
     * 删除地块的审核附件信息
     *
     * @param id 地块的审核附件主键
     * @return 结果
     */
    public int deleteTDkAuditflowFjById(String id);

    public int deleteTDkAuditflowFjByAuditflowId(String auditflowId);
}
